# Generated by Django 3.0.3 on 2020-05-15 12:13

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('kupon', '0003_auto_20200305_1037'),
        ('barang', '0002_auto_20200303_0410'),
    ]

    operations = [
        migrations.CreateModel(
            name='KeranjangBarang',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('active', models.BooleanField(default=True)),
                ('timestamp', models.DateTimeField(auto_now=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='keranjang', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='KeranjangBarangTransaksi',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('total_harga', models.PositiveIntegerField()),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('keranjang', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='transaksi', to='keranjang.KeranjangBarang')),
                ('kupon', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='kupon.Kupon')),
                ('user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='trxcepat', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='KeranjangBarangEntry',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('jumlah', models.PositiveIntegerField()),
                ('barang', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='barang.Barang')),
                ('keranjang', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='entry', to='keranjang.KeranjangBarang')),
            ],
        ),
    ]
